Ofcas.Lk.Api.Client - Version 3.0 3.0.0.113

Public Member Functions | Protected Member Functions | Properties | List of all members
Ofcas.Lk.Api.Client.Core.Phase Class Reference

Phase is the representation of a LogiKal phase. The children are of type Elevation. The children can be received from the InfoList (CoreObject<T>.Infos). More...

Inheritance diagram for Ofcas.Lk.Api.Client.Core.Phase:

## Public Member Functions
| Phase (IServiceFactory< IApiService > serviceFactory, Guid coreObjectId, Project parent, PhaseInfo coreInfo)
| Creates a new phase. More...
override Elevation | GetChild (ElevationInfo elevationInfo)
| Gets a Elevation based on a ElevationInfo. More...
override IList< Elevation > | GetChildren (IEnumerable< ElevationInfo > childrenInfos=null)
| Gets Elevations based on an ElevationInfos. More...
Elevation | GetElevation (ElevationInfo elevationInfo)
| This method is deprecated. Please use GetChild(ElevationInfo) instead. More...
override OperationInfo | CanEdit (string key, object value)
| Checks whether an phase can be edited or not. More...
override PhaseInfo | Edit (string key, object value)
| Edits an phase based on a key and a value. More...
override OperationInfo | CanCreateChild ()
| Checks whether an elevation can be created or not. More...
override ElevationInfo | CreateChild ()
| Creates a new elevation with a default name. Call Elevation.Edit with WellKnownEditKeys.Elevation to change values. More...
override OperationInfo | CanDeleteChild (ElevationInfo elevationInfo)
| Checks whether an elevation can be deleted or not. More...
override void | DeleteChild (ElevationInfo elevationInfo, bool forceDelete=false)
| Deletes an elevation based on an info object. More...
override OperationInfo | CanCopyFrom (ICoreInfo coreInfo, bool deepCheck=true)
override ElevationInfo | CopyFrom (ICoreInfo coreInfo)
| Copies an object into this phase based on an info object. More...
ElevationInfo | RestoreChild (ElevationInfo elevationInfo)
| Restores an Elevation based on a ElevationInfo. More...
string | GetNextPositionNumber ()
| Retrieves the next available position number of this phase. More...
override ElevationInfo | RefreshChild (ElevationInfo childInfo)
Public Member Functions inherited from Ofcas.Lk.Api.Client.Core.CoreObjectFullyQualified< Project, PhaseInfo, Elevation, ElevationInfo >
TOwnInfo | Refresh ()
Public Member Functions inherited from Ofcas.Lk.Api.Client.Core.Interfaces.ICoreObject
bool | CanDispose ()
| Checks whether the ICoreInfo can be disposed. More...

## Protected Member Functions
ElevationInfo | CopyFrom (ICoreInfo coreInfo, bool verbose)
| Calls public methods. More...
override IEnumerable< ElevationInfo > | GetChildrenInfos ()
virtual Elevation | CreateNewInstance (Guid responseNewCoreObjectId, ElevationInfo elevationInfo)
Protected Member Functions inherited from Ofcas.Lk.Api.Client.Core.CoreObjectFullyQualified< Project, PhaseInfo, Elevation, ElevationInfo >
| CoreObjectFullyQualified (IServiceFactory< IApiService > serviceFactory, Guid coreObjectId, TParent parent, TOwnInfo ownInfo)
| Creates a new instance of CoreObjectFullyQualified<TParent,TOwnInfo,TChild,TChildInfo> with the given parameters. More...

## Properties
ISynchronizationContainer | SynchronizationContainer`[get]`
Properties inherited from Ofcas.Lk.Api.Client.Core.CoreObjectFullyQualified< Project, PhaseInfo, Elevation, ElevationInfo >
TParent | Parent`[get]`
TOwnInfo | Info`[get]`
Properties inherited from Ofcas.Lk.Api.Client.Core.Interfaces.ICoreObjectWithSynchronizations
ISynchronizationContainer | SynchronizationContainer`[get]`
| The ISynchronizationContainer of this ICoreObject. More...
Properties inherited from Ofcas.Lk.Api.Client.Core.Interfaces.ICoreObject
Guid | CoreObjectId`[get]`
| This property is deprecated. Please use ICoreObject.Id instead. More...
Guid | Id`[get]`
| The unique identifier of this core object. More...

## Detailed Description

Phase is the representation of a LogiKal phase. The children are of type Elevation. The children can be received from the InfoList (CoreObject<T>.Infos).

## Constructor & Destructor Documentation

## ◆ Phase()

Ofcas.Lk.Api.Client.Core.Phase.Phase | ( | IServiceFactory< IApiService > | serviceFactory,
|  | Guid | coreObjectId,
|  | Project | parent,
|  | PhaseInfo | coreInfo
| ) |  |

Creates a new phase.

Parameters

  serviceFactory | The used IApiService.
  coreObjectId | The core object id for this object.
  parent | The parent of this object.
  coreInfo | The info used to create this object.

## Member Function Documentation

## ◆ CanCreateChild()

override OperationInfo Ofcas.Lk.Api.Client.Core.Phase.CanCreateChild | ( |  | ) |

Checks whether an elevation can be created or not.

Returns

## ◆ CanDeleteChild()

override OperationInfo Ofcas.Lk.Api.Client.Core.Phase.CanDeleteChild | ( | ElevationInfo | elevationInfo | ) |

Checks whether an elevation can be deleted or not.

Parameters

  elevationInfo | The info of the elevation to be deleted.

Returns

## ◆ CanEdit()

override OperationInfo Ofcas.Lk.Api.Client.Core.Phase.CanEdit | ( | string | key,
|  | object | value
| ) |  |
| virtual

Checks whether an phase can be edited or not.

Parameters

  key | The key of the value to be edited. See WellKnownEditKeys.Phase for possible edit keys.
  value | The value to be set.

Returns

Reimplemented from Ofcas.Lk.Api.Client.Core.CoreObjectFullyQualified< Project, PhaseInfo, Elevation, ElevationInfo >.

## ◆ CopyFrom() [1/2]

override ElevationInfo Ofcas.Lk.Api.Client.Core.Phase.CopyFrom | ( | ICoreInfo | coreInfo | ) |

Copies an object into this phase based on an info object.

Parameters

  coreInfo | The info of the object to be copied.

Returns
  Returns an info object of the copied / created elevation.

## ◆ CopyFrom() [2/2]

ElevationInfo Ofcas.Lk.Api.Client.Core.Phase.CopyFrom | ( | ICoreInfo | coreInfo,
|  | bool | verbose
| ) |  |
| protected

Calls public methods.

Parameters

  coreInfo |
  verbose | The flag to show the copydialog.

Returns

## ◆ CreateChild()

override ElevationInfo Ofcas.Lk.Api.Client.Core.Phase.CreateChild | ( |  | ) |

Creates a new elevation with a default name. Call Elevation.Edit with WellKnownEditKeys.Elevation to change values.

Returns
  Returns an info object of the created elevation.

## ◆ DeleteChild()

override void Ofcas.Lk.Api.Client.Core.Phase.DeleteChild | ( | ElevationInfo | elevationInfo,
|  | bool | forceDelete = `false`
| ) |  |

Deletes an elevation based on an info object.

Parameters

  elevationInfo | The info of the elevation to be deleted.
  forceDelete | Indicates whether the child should be completely deleted.

## ◆ Edit()

override PhaseInfo Ofcas.Lk.Api.Client.Core.Phase.Edit | ( | string | key,
|  | object | value
| ) |  |
| virtual

Edits an phase based on a key and a value.

Parameters

  key | The key of the value to be edited. See WellKnownEditKeys.Phase for possible edit keys.
  value | The value to be set.

Returns
  Returns an info object of the edited phase.

Reimplemented from Ofcas.Lk.Api.Client.Core.CoreObjectFullyQualified< Project, PhaseInfo, Elevation, ElevationInfo >.

## ◆ GetChild()

override Elevation Ofcas.Lk.Api.Client.Core.Phase.GetChild | ( | ElevationInfo | elevationInfo | ) |

Gets a Elevation based on a ElevationInfo.

Parameters

  elevationInfo | The ElevationInfo of the Elevation to be returned.

Returns
  Returns a Elevation based on the given ElevationInfo.

## ◆ GetChildren()

override IList<Elevation> Ofcas.Lk.Api.Client.Core.Phase.GetChildren | ( | IEnumerable< ElevationInfo > | childrenInfos = `null` | ) |

Gets Elevations based on an ElevationInfos.

Parameters

  childrenInfos | The ElevationInfos of the Elevations to be returned. If an empty list is given all Elevations of this Phase will be returned.

Returns
  Returns a list of Elevations based on the given ElevationInfos.

## ◆ GetElevation()

Elevation Ofcas.Lk.Api.Client.Core.Phase.GetElevation | ( | ElevationInfo | elevationInfo | ) |

This method is deprecated. Please use GetChild(ElevationInfo) instead.

## ◆ GetNextPositionNumber()

string Ofcas.Lk.Api.Client.Core.Phase.GetNextPositionNumber | ( |  | ) |

Retrieves the next available position number of this phase.

Returns
  Returns the next available position number for this phase.

## ◆ RestoreChild()

ElevationInfo Ofcas.Lk.Api.Client.Core.Phase.RestoreChild | ( | ElevationInfo | elevationInfo | ) |

Restores an Elevation based on a ElevationInfo.

Parameters

  elevationInfo | The ElevationInfo of the Elevation to be restored.

Returns
  Returns the changed ElevationInfo.

The documentation for this class was generated from the following file:

- Phase.cs